package com.backendsys.mapper.Med;

import org.apache.ibatis.annotations.Mapper;
import com.backendsys.entity.Med.MedMaterialDTO;

import java.util.List;
import java.util.Map;

@Mapper
public interface MedMaterialMapper {
    List<Map<String, Object>> queryMaterialList(MedMaterialDTO medMaterialDTO);
    Map<String, Object> queryMaterialDetail(MedMaterialDTO medMaterialDTO);
    long insertMaterial(MedMaterialDTO medMaterialDTO);
    long auditMaterial(MedMaterialDTO medMaterialDTO);
    long deleteMaterial(MedMaterialDTO medMaterialDTO);
    long deleteMaterialBatch(List<Long> ids);
    long updateMaterial(MedMaterialDTO medMaterialDTO);
}
